import { default as React } from 'react';
import 'core-js/stable';
import 'regenerator-runtime/runtime';
import './index.css';
import HRoutes from './router';
import { createRoot } from 'react-dom/client';
import { StyleProvider } from '@ant-design/cssinjs';

// 由于 antd 组件的默认文案是英文，所以需要修改为中文
import dayjs from 'dayjs';
import 'dayjs/locale/zh-cn';
import 'antd/dist/reset.css';
import './index.css';

dayjs.locale('zh-cn');

createRoot(document.getElementById('root')).render(
  <StyleProvider hashPriority='high'>
    <HRoutes />
  </StyleProvider>,
);
